Skype en Empathy

Luis Urrutia me envía un interesante articulo para usar Skype desde Empathy, Así que sin más aquí comento sus lineas:

Les escribo esto, para que puedan redactar un articulo acerca de como usar Skype con Empathy, ya que pidgin-skype no funciona y en Internet
no había encontrado nada para que funcionase. Aclaro que no funciona al 100% pero al menos el chat si funciona. El desarrollo se puede ver aquí.
https://code.launchpad.net/~moonmaker/skype4empathy/trunk

Bueno, sin más rodeos, los dejo con las instrucciones:

Primero a instalar lo que necesitamos:

sudo apt-get install libpurple-dev libglib2.0-dev libx11-dev bzr

Ahora obtendremos los sources:

bzr branch lp:skype4empathy

Entramos a la carpeta

cd skype4empathy

Ahora editaremos el archivo:

gedit Makefile

al principio del archivo Makefile aparece

LINUX32_COMPILER = i686-pc-linux-gnu-gcc
LINUX64_COMPILER = x86_64-pc-linux-gnu-gcc

Y esas lineas hay que cambiarlas por:

LINUX32_COMPILER = i686-linux-gnu-gcc
LINUX64_COMPILER = x86_64-linux-gnu-gcc

En la linea numero 9 (La cual empieza por GLIB_CFLAGS ) la cambiamos por la siguiente:


GLIB_CFLAGS = -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/lib64/glib-2.0/include -I/usr/include -I/usr/lib/i386-linux-gnu/glib-2.0/include/ -I/usr/lib/x86_64-linux-gnu/glib-2.0/include/

La linea numero 10 (La cual empieza por DBUS_CFLAGS) la cambiamos por:


DBUS_CFLAGS = -DSKYPE_DBUS -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/lib64/dbus-1.0/include -I/usr/lib/i386-linux-gnu/dbus-1.0/include/ -I/usr/lib/x86_64-linux-gnu/dbus-1.0/include/

Guardamos y ejecutamos:


make libskype64.so
make libskype_dbus64.so

Copiamos los archivos compilados:


sudo cp libskype64.so /usr/lib/purple-2/
sudo cp libskype_dbus64.so /usr/lib/purple-2/

Y Listo, ahora vamos a Empathy, añadir cuentas y encontraremos:


bigbrownchunx-skype-dbus

Añadimos el nombre de usuario de nuestra cuenta, y podremos usar Skype desde Empathy, siempre y cuando Skype también esté abierto.

Creditos | Gracias a los desarrolladores del proyecto Skype4Empathy | Solución proporcionada por Luis Urrutia, miembro de Devra.cl

5 Responses to “Skype en Empathy”


  1. 1 artefacto octubre 9, 2012 en 1:45 pm

    Me parece mucho lío cuando puedes instalar Skype directamente desde la web o desde su repositorio y funciona al 100%
    Saludos.

  2. 2 Aru octubre 28, 2012 en 2:00 pm

    no me aparece la cuenta. Te copio la terminal:

    aru@acer:~$ sudo apt-get install libpurple-dev libglib2.0-dev libx11-dev bzr
    [sudo] password for aru:
    Leyendo lista de paquetes… Hecho
    Creando árbol de dependencias
    Leyendo la información de estado… Hecho
    libx11-dev ya está en su versión más reciente.
    Fijado libx11-dev como instalado manualmente.
    Se instalarán los siguientes paquetes extras:
    libdbus-1-dev libdbus-glib-1-dev libpcre3-dev libpcrecpp0 python-bzrlib
    python-paramiko zlib1g-dev
    Paquetes sugeridos:
    bzr-doc bzr-gtk bzr-svn python-bzrlib.tests bzrtools libglib2.0-doc
    python-kerberos python-bzrlib-dbg
    Se instalarán los siguientes paquetes NUEVOS:
    bzr libdbus-1-dev libdbus-glib-1-dev libglib2.0-dev libpcre3-dev libpcrecpp0
    libpurple-dev python-bzrlib python-paramiko zlib1g-dev
    0 actualizados, 10 se instalarán, 0 para eliminar y 1 no actualizados.
    Se necesita descargar 5.477 kB de archivos.
    Se utilizarán 28,6 MB de espacio de disco adicional después de esta operación.
    ¿Quiere continuar [S/n]? s
    Des:1 http://es.archive.ubuntu.com/ubuntu/ quantal/main libpcrecpp0 amd64 1:8.30-5ubuntu1 [16,5 kB]
    Des:2 http://es.archive.ubuntu.com/ubuntu/ quantal/main python-bzrlib amd64 2.6.0~beta2-0ubuntu1 [1.814 kB]
    Des:3 http://es.archive.ubuntu.com/ubuntu/ quantal/main bzr all 2.6.0~beta2-0ubuntu1 [38,2 kB]
    Des:4 http://es.archive.ubuntu.com/ubuntu/ quantal/main libdbus-1-dev amd64 1.6.4-1ubuntu4 [209 kB]
    Des:5 http://es.archive.ubuntu.com/ubuntu/ quantal/main libpcre3-dev amd64 1:8.30-5ubuntu1 [263 kB]
    Des:6 http://es.archive.ubuntu.com/ubuntu/ quantal/main zlib1g-dev amd64 1:1.2.7.dfsg-13 [178 kB]
    Des:7 http://es.archive.ubuntu.com/ubuntu/ quantal/main libglib2.0-dev amd64 2.34.0-1ubuntu1 [1.840 kB]
    Des:8 http://es.archive.ubuntu.com/ubuntu/ quantal/main libdbus-glib-1-dev amd64 0.100-1 [125 kB]
    Des:9 http://es.archive.ubuntu.com/ubuntu/ quantal/main libpurple-dev all 1:2.10.6-0ubuntu2 [189 kB]
    Des:10 http://es.archive.ubuntu.com/ubuntu/ quantal/main python-paramiko all 1.7.7.1-3 [804 kB]
    Descargados 5.477 kB en 29seg. (184 kB/s)
    Seleccionando paquete libpcrecpp0:amd64 previamente no seleccionado
    (Leyendo la base de datos … 312255 ficheros o directorios instalados actualmente.)
    Desempaquetando libpcrecpp0:amd64 (de …/libpcrecpp0_1%3a8.30-5ubuntu1_amd64.deb) …
    Seleccionando paquete python-bzrlib previamente no seleccionado
    Desempaquetando python-bzrlib (de …/python-bzrlib_2.6.0~beta2-0ubuntu1_amd64.deb) …
    Seleccionando paquete bzr previamente no seleccionado
    Desempaquetando bzr (de …/bzr_2.6.0~beta2-0ubuntu1_all.deb) …
    Seleccionando paquete libdbus-1-dev previamente no seleccionado
    Desempaquetando libdbus-1-dev (de …/libdbus-1-dev_1.6.4-1ubuntu4_amd64.deb) …
    Seleccionando paquete libpcre3-dev previamente no seleccionado
    Desempaquetando libpcre3-dev (de …/libpcre3-dev_1%3a8.30-5ubuntu1_amd64.deb) …
    Seleccionando paquete zlib1g-dev:amd64 previamente no seleccionado
    Desempaquetando zlib1g-dev:amd64 (de …/zlib1g-dev_1%3a1.2.7.dfsg-13_amd64.deb) …
    Seleccionando paquete libglib2.0-dev previamente no seleccionado
    Desempaquetando libglib2.0-dev (de …/libglib2.0-dev_2.34.0-1ubuntu1_amd64.deb) …
    Seleccionando paquete libdbus-glib-1-dev previamente no seleccionado
    Desempaquetando libdbus-glib-1-dev (de …/libdbus-glib-1-dev_0.100-1_amd64.deb) …
    Seleccionando paquete libpurple-dev previamente no seleccionado
    Desempaquetando libpurple-dev (de …/libpurple-dev_1%3a2.10.6-0ubuntu2_all.deb) …
    Seleccionando paquete python-paramiko previamente no seleccionado
    Desempaquetando python-paramiko (de …/python-paramiko_1.7.7.1-3_all.deb) …
    Procesando disparadores para man-db …
    Procesando disparadores para libglib2.0-0:i386 …
    Procesando disparadores para libglib2.0-0:amd64 …
    Procesando disparadores para doc-base …
    Procesando 1 archivo doc-base añadido…
    Registrando documentos con scrollkeeper…
    Configurando libpcrecpp0:amd64 (1:8.30-5ubuntu1) …
    Configurando python-bzrlib (2.6.0~beta2-0ubuntu1) …
    Configurando bzr (2.6.0~beta2-0ubuntu1) …
    Configurando libdbus-1-dev (1.6.4-1ubuntu4) …
    Configurando libpcre3-dev (1:8.30-5ubuntu1) …
    Configurando zlib1g-dev:amd64 (1:1.2.7.dfsg-13) …
    Configurando libglib2.0-dev (2.34.0-1ubuntu1) …
    Configurando libdbus-glib-1-dev (0.100-1) …
    Configurando libpurple-dev (1:2.10.6-0ubuntu2) …
    Configurando python-paramiko (1.7.7.1-3) …
    Procesando disparadores para libc-bin …
    ldconfig deferred processing now taking place
    aru@acer:~$ bzr branch lp:skype4empathy
    You have not informed bzr of your Launchpad ID, and you must do this to
    write to Launchpad or access private data. See “bzr help launchpad-login”.
    630 revisiones enramadas
    aru@acer:~$ cd skype4empathy
    aru@acer:~/skype4empathy$ gedit Makefile
    aru@acer:~/skype4empathy$ make libskype64.so
    x86_64-linux-gnu-gcc -I/usr/include/libpurple -DPURPLE_PLUGINS -DENABLE_NLS -Wall -pthread -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/lib64/glib-2.0/include -I/usr/include -I/usr/lib/i386-linux-gnu/glib-2.0/include/ -I/usr/lib/x86_64-linux-gnu/glib-2.0/include/ -I. -g -m32 -m64 -O2 -pipe libskype.c -o libskype64.so -shared -fPIC -DPIC -Wno-pointer-to-int-cast -Wno-int-to-pointer-cast
    In file included from libskype.c:151:0:
    debug.c:24:12: aviso: falta el carácter de terminación ‘ [activado por defecto]
    In file included from libskype.c:152:0:
    skype_messaging.c:24:12: aviso: falta el carácter de terminación ‘ [activado por defecto]
    In file included from skype_messaging.c:29:0,
    from libskype.c:152:
    skype_events.c:24:12: aviso: falta el carácter de terminación ‘ [activado por defecto]
    In file included from skype_messaging.c:54:0,
    from libskype.c:152:
    skype_messaging_x11.c:24:12: aviso: falta el carácter de terminación ‘ [activado por defecto]
    In file included from skype_messaging.c:54:0,
    from libskype.c:152:
    skype_messaging_x11.c: En la función ‘skype_connect’:
    skype_messaging_x11.c:114:2: aviso: ‘g_thread_create’ es obsoleto (declarado en /usr/include/glib-2.0/glib/deprecated/gthread.h:100): Use ‘g_thread_new’ instead [-Wdeprecated-declarations]
    skype_messaging_x11.c: En la función ‘send_message’:
    skype_messaging_x11.c:166:4: aviso: ‘g_thread_create’ es obsoleto (declarado en /usr/include/glib-2.0/glib/deprecated/gthread.h:100): Use ‘g_thread_new’ instead [-Wdeprecated-declarations]
    skype_messaging_x11.c:200:4: aviso: ‘g_thread_create’ es obsoleto (declarado en /usr/include/glib-2.0/glib/deprecated/gthread.h:100): Use ‘g_thread_new’ instead [-Wdeprecated-declarations]
    skype_messaging_x11.c:202:3: aviso: ‘g_thread_create’ es obsoleto (declarado en /usr/include/glib-2.0/glib/deprecated/gthread.h:100): Use ‘g_thread_new’ instead [-Wdeprecated-declarations]
    skype_messaging_x11.c: En la función ‘receive_message_loop’:
    skype_messaging_x11.c:224:4: aviso: ‘g_thread_create’ es obsoleto (declarado en /usr/include/glib-2.0/glib/deprecated/gthread.h:100): Use ‘g_thread_new’ instead [-Wdeprecated-declarations]
    skype_messaging_x11.c:264:4: aviso: ‘g_thread_create’ es obsoleto (declarado en /usr/include/glib-2.0/glib/deprecated/gthread.h:100): Use ‘g_thread_new’ instead [-Wdeprecated-declarations]
    In file included from libskype.c:152:0:
    skype_messaging.c: En la función ‘skype_send_message_nowait’:
    skype_messaging.c:166:3: aviso: ‘g_thread_create’ es obsoleto (declarado en /usr/include/glib-2.0/glib/deprecated/gthread.h:100): Use ‘g_thread_new’ instead [-Wdeprecated-declarations]
    skype_messaging.c: En la función ‘skype_send_message’:
    skype_messaging.c:196:3: aviso: ‘g_cond_new’ es obsoleto (declarado en /usr/include/glib-2.0/glib/deprecated/gthread.h:275) [-Wdeprecated-declarations]
    skype_messaging.c:235:3: aviso: ‘g_cond_timed_wait’ es obsoleto (declarado en /usr/include/glib-2.0/glib/deprecated/gthread.h:279) [-Wdeprecated-declarations]
    libskype.c: En el nivel principal:
    libskype.c:822:1: aviso: se define ‘skype_open_skype_options’ pero no se usa [-Wunused-function]
    libskype.c:2679:1: aviso: se define ‘skype_check_missedvoicemails’ pero no se usa [-Wunused-function]
    aru@acer:~/skype4empathy$ make libskype_dbus64.so
    x86_64-linux-gnu-gcc -I/usr/include/libpurple -DPURPLE_PLUGINS -DENABLE_NLS -Wall -pthread -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/lib64/glib-2.0/include -I/usr/include -I/usr/lib/i386-linux-gnu/glib-2.0/include/ -I/usr/lib/x86_64-linux-gnu/glib-2.0/include/ -I. -g -m64 -pipe libskype.c -o libskype_dbus64.so -shared -fPIC -DPIC -DSKYPE_DBUS -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/lib64/dbus-1.0/include -I/usr/lib/i386-linux-gnu/dbus-1.0/include/ -I/usr/lib/x86_64-linux-gnu/dbus-1.0/include/ -Wno-pointer-to-int-cast -Wno-int-to-pointer-cast
    In file included from libskype.c:151:0:
    debug.c:24:12: aviso: falta el carácter de terminación ‘ [activado por defecto]
    In file included from libskype.c:152:0:
    skype_messaging.c:24:12: aviso: falta el carácter de terminación ‘ [activado por defecto]
    In file included from skype_messaging.c:29:0,
    from libskype.c:152:
    skype_events.c:24:12: aviso: falta el carácter de terminación ‘ [activado por defecto]
    In file included from skype_messaging.c:56:0,
    from libskype.c:152:
    skype_messaging_dbus.c:24:12: aviso: falta el carácter de terminación ‘ [activado por defecto]
    In file included from libskype.c:152:0:
    skype_messaging.c: En la función ‘skype_send_message_nowait’:
    skype_messaging.c:166:3: aviso: ‘g_thread_create’ es obsoleto (declarado en /usr/include/glib-2.0/glib/deprecated/gthread.h:100): Use ‘g_thread_new’ instead [-Wdeprecated-declarations]
    skype_messaging.c: En la función ‘skype_send_message’:
    skype_messaging.c:196:3: aviso: ‘g_cond_new’ es obsoleto (declarado en /usr/include/glib-2.0/glib/deprecated/gthread.h:275) [-Wdeprecated-declarations]
    skype_messaging.c:235:3: aviso: ‘g_cond_timed_wait’ es obsoleto (declarado en /usr/include/glib-2.0/glib/deprecated/gthread.h:279) [-Wdeprecated-declarations]
    libskype.c: En el nivel principal:
    libskype.c:822:1: aviso: se define ‘skype_open_skype_options’ pero no se usa [-Wunused-function]
    libskype.c:2679:1: aviso: se define ‘skype_check_missedvoicemails’ pero no se usa [-Wunused-function]
    aru@acer:~/skype4empathy$ sudo cp libskype64.so /usr/lib/purple-2/
    aru@acer:~/skype4empathy$ sudo cp libskype_dbus64.so /usr/lib/purple-2/
    aru@acer:~/skype4empathy$

  3. 3 Alberto Aru octubre 28, 2012 en 2:01 pm

    no me aparece la cuenta. Te copio la terminal:

    aru@acer:~$ sudo apt-get install libpurple-dev libglib2.0-dev libx11-dev bzr
    [sudo] password for aru:
    Leyendo lista de paquetes… Hecho
    Creando árbol de dependencias
    Leyendo la información de estado… Hecho
    libx11-dev ya está en su versión más reciente.
    Fijado libx11-dev como instalado manualmente.
    Se instalarán los siguientes paquetes extras:
    libdbus-1-dev libdbus-glib-1-dev libpcre3-dev libpcrecpp0 python-bzrlib
    python-paramiko zlib1g-dev
    Paquetes sugeridos:
    bzr-doc bzr-gtk bzr-svn python-bzrlib.tests bzrtools libglib2.0-doc
    python-kerberos python-bzrlib-dbg
    Se instalarán los siguientes paquetes NUEVOS:
    bzr libdbus-1-dev libdbus-glib-1-dev libglib2.0-dev libpcre3-dev libpcrecpp0
    libpurple-dev python-bzrlib python-paramiko zlib1g-dev
    0 actualizados, 10 se instalarán, 0 para eliminar y 1 no actualizados.
    Se necesita descargar 5.477 kB de archivos.
    Se utilizarán 28,6 MB de espacio de disco adicional después de esta operación.
    ¿Quiere continuar [S/n]? s
    Des:1 http://es.archive.ubuntu.com/ubuntu/ quantal/main libpcrecpp0 amd64 1:8.30-5ubuntu1 [16,5 kB]
    Des:2 http://es.archive.ubuntu.com/ubuntu/ quantal/main python-bzrlib amd64 2.6.0~beta2-0ubuntu1 [1.814 kB]
    Des:3 http://es.archive.ubuntu.com/ubuntu/ quantal/main bzr all 2.6.0~beta2-0ubuntu1 [38,2 kB]
    Des:4 http://es.archive.ubuntu.com/ubuntu/ quantal/main libdbus-1-dev amd64 1.6.4-1ubuntu4 [209 kB]
    Des:5 http://es.archive.ubuntu.com/ubuntu/ quantal/main libpcre3-dev amd64 1:8.30-5ubuntu1 [263 kB]
    Des:6 http://es.archive.ubuntu.com/ubuntu/ quantal/main zlib1g-dev amd64 1:1.2.7.dfsg-13 [178 kB]
    Des:7 http://es.archive.ubuntu.com/ubuntu/ quantal/main libglib2.0-dev amd64 2.34.0-1ubuntu1 [1.840 kB]
    Des:8 http://es.archive.ubuntu.com/ubuntu/ quantal/main libdbus-glib-1-dev amd64 0.100-1 [125 kB]
    Des:9 http://es.archive.ubuntu.com/ubuntu/ quantal/main libpurple-dev all 1:2.10.6-0ubuntu2 [189 kB]
    Des:10 http://es.archive.ubuntu.com/ubuntu/ quantal/main python-paramiko all 1.7.7.1-3 [804 kB]
    Descargados 5.477 kB en 29seg. (184 kB/s)
    Seleccionando paquete libpcrecpp0:amd64 previamente no seleccionado
    (Leyendo la base de datos … 312255 ficheros o directorios instalados actualmente.)
    Desempaquetando libpcrecpp0:amd64 (de …/libpcrecpp0_1%3a8.30-5ubuntu1_amd64.deb) …
    Seleccionando paquete python-bzrlib previamente no seleccionado
    Desempaquetando python-bzrlib (de …/python-bzrlib_2.6.0~beta2-0ubuntu1_amd64.deb) …
    Seleccionando paquete bzr previamente no seleccionado
    Desempaquetando bzr (de …/bzr_2.6.0~beta2-0ubuntu1_all.deb) …
    Seleccionando paquete libdbus-1-dev previamente no seleccionado
    Desempaquetando libdbus-1-dev (de …/libdbus-1-dev_1.6.4-1ubuntu4_amd64.deb) …
    Seleccionando paquete libpcre3-dev previamente no seleccionado
    Desempaquetando libpcre3-dev (de …/libpcre3-dev_1%3a8.30-5ubuntu1_amd64.deb) …
    Seleccionando paquete zlib1g-dev:amd64 previamente no seleccionado
    Desempaquetando zlib1g-dev:amd64 (de …/zlib1g-dev_1%3a1.2.7.dfsg-13_amd64.deb) …
    Seleccionando paquete libglib2.0-dev previamente no seleccionado
    Desempaquetando libglib2.0-dev (de …/libglib2.0-dev_2.34.0-1ubuntu1_amd64.deb) …
    Seleccionando paquete libdbus-glib-1-dev previamente no seleccionado
    Desempaquetando libdbus-glib-1-dev (de …/libdbus-glib-1-dev_0.100-1_amd64.deb) …
    Seleccionando paquete libpurple-dev previamente no seleccionado
    Desempaquetando libpurple-dev (de …/libpurple-dev_1%3a2.10.6-0ubuntu2_all.deb) …
    Seleccionando paquete python-paramiko previamente no seleccionado
    Desempaquetando python-paramiko (de …/python-paramiko_1.7.7.1-3_all.deb) …
    Procesando disparadores para man-db …
    Procesando disparadores para libglib2.0-0:i386 …
    Procesando disparadores para libglib2.0-0:amd64 …
    Procesando disparadores para doc-base …
    Procesando 1 archivo doc-base añadido…
    Registrando documentos con scrollkeeper…
    Configurando libpcrecpp0:amd64 (1:8.30-5ubuntu1) …
    Configurando python-bzrlib (2.6.0~beta2-0ubuntu1) …
    Configurando bzr (2.6.0~beta2-0ubuntu1) …
    Configurando libdbus-1-dev (1.6.4-1ubuntu4) …
    Configurando libpcre3-dev (1:8.30-5ubuntu1) …
    Configurando zlib1g-dev:amd64 (1:1.2.7.dfsg-13) …
    Configurando libglib2.0-dev (2.34.0-1ubuntu1) …
    Configurando libdbus-glib-1-dev (0.100-1) …
    Configurando libpurple-dev (1:2.10.6-0ubuntu2) …
    Configurando python-paramiko (1.7.7.1-3) …
    Procesando disparadores para libc-bin …
    ldconfig deferred processing now taking place
    aru@acer:~$ bzr branch lp:skype4empathy
    You have not informed bzr of your Launchpad ID, and you must do this to
    write to Launchpad or access private data. See “bzr help launchpad-login”.
    630 revisiones enramadas
    aru@acer:~$ cd skype4empathy
    aru@acer:~/skype4empathy$ gedit Makefile
    aru@acer:~/skype4empathy$ make libskype64.so
    x86_64-linux-gnu-gcc -I/usr/include/libpurple -DPURPLE_PLUGINS -DENABLE_NLS -Wall -pthread -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/lib64/glib-2.0/include -I/usr/include -I/usr/lib/i386-linux-gnu/glib-2.0/include/ -I/usr/lib/x86_64-linux-gnu/glib-2.0/include/ -I. -g -m32 -m64 -O2 -pipe libskype.c -o libskype64.so -shared -fPIC -DPIC -Wno-pointer-to-int-cast -Wno-int-to-pointer-cast
    In file included from libskype.c:151:0:
    debug.c:24:12: aviso: falta el carácter de terminación ‘ [activado por defecto]
    In file included from libskype.c:152:0:
    skype_messaging.c:24:12: aviso: falta el carácter de terminación ‘ [activado por defecto]
    In file included from skype_messaging.c:29:0,
    from libskype.c:152:
    skype_events.c:24:12: aviso: falta el carácter de terminación ‘ [activado por defecto]
    In file included from skype_messaging.c:54:0,
    from libskype.c:152:
    skype_messaging_x11.c:24:12: aviso: falta el carácter de terminación ‘ [activado por defecto]
    In file included from skype_messaging.c:54:0,
    from libskype.c:152:
    skype_messaging_x11.c: En la función ‘skype_connect’:
    skype_messaging_x11.c:114:2: aviso: ‘g_thread_create’ es obsoleto (declarado en /usr/include/glib-2.0/glib/deprecated/gthread.h:100): Use ‘g_thread_new’ instead [-Wdeprecated-declarations]
    skype_messaging_x11.c: En la función ‘send_message’:
    skype_messaging_x11.c:166:4: aviso: ‘g_thread_create’ es obsoleto (declarado en /usr/include/glib-2.0/glib/deprecated/gthread.h:100): Use ‘g_thread_new’ instead [-Wdeprecated-declarations]
    skype_messaging_x11.c:200:4: aviso: ‘g_thread_create’ es obsoleto (declarado en /usr/include/glib-2.0/glib/deprecated/gthread.h:100): Use ‘g_thread_new’ instead [-Wdeprecated-declarations]
    skype_messaging_x11.c:202:3: aviso: ‘g_thread_create’ es obsoleto (declarado en /usr/include/glib-2.0/glib/deprecated/gthread.h:100): Use ‘g_thread_new’ instead [-Wdeprecated-declarations]
    skype_messaging_x11.c: En la función ‘receive_message_loop’:
    skype_messaging_x11.c:224:4: aviso: ‘g_thread_create’ es obsoleto (declarado en /usr/include/glib-2.0/glib/deprecated/gthread.h:100): Use ‘g_thread_new’ instead [-Wdeprecated-declarations]
    skype_messaging_x11.c:264:4: aviso: ‘g_thread_create’ es obsoleto (declarado en /usr/include/glib-2.0/glib/deprecated/gthread.h:100): Use ‘g_thread_new’ instead [-Wdeprecated-declarations]
    In file included from libskype.c:152:0:
    skype_messaging.c: En la función ‘skype_send_message_nowait’:
    skype_messaging.c:166:3: aviso: ‘g_thread_create’ es obsoleto (declarado en /usr/include/glib-2.0/glib/deprecated/gthread.h:100): Use ‘g_thread_new’ instead [-Wdeprecated-declarations]
    skype_messaging.c: En la función ‘skype_send_message’:
    skype_messaging.c:196:3: aviso: ‘g_cond_new’ es obsoleto (declarado en /usr/include/glib-2.0/glib/deprecated/gthread.h:275) [-Wdeprecated-declarations]
    skype_messaging.c:235:3: aviso: ‘g_cond_timed_wait’ es obsoleto (declarado en /usr/include/glib-2.0/glib/deprecated/gthread.h:279) [-Wdeprecated-declarations]
    libskype.c: En el nivel principal:
    libskype.c:822:1: aviso: se define ‘skype_open_skype_options’ pero no se usa [-Wunused-function]
    libskype.c:2679:1: aviso: se define ‘skype_check_missedvoicemails’ pero no se usa [-Wunused-function]
    aru@acer:~/skype4empathy$ make libskype_dbus64.so
    x86_64-linux-gnu-gcc -I/usr/include/libpurple -DPURPLE_PLUGINS -DENABLE_NLS -Wall -pthread -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/lib64/glib-2.0/include -I/usr/include -I/usr/lib/i386-linux-gnu/glib-2.0/include/ -I/usr/lib/x86_64-linux-gnu/glib-2.0/include/ -I. -g -m64 -pipe libskype.c -o libskype_dbus64.so -shared -fPIC -DPIC -DSKYPE_DBUS -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/lib64/dbus-1.0/include -I/usr/lib/i386-linux-gnu/dbus-1.0/include/ -I/usr/lib/x86_64-linux-gnu/dbus-1.0/include/ -Wno-pointer-to-int-cast -Wno-int-to-pointer-cast
    In file included from libskype.c:151:0:
    debug.c:24:12: aviso: falta el carácter de terminación ‘ [activado por defecto]
    In file included from libskype.c:152:0:
    skype_messaging.c:24:12: aviso: falta el carácter de terminación ‘ [activado por defecto]
    In file included from skype_messaging.c:29:0,
    from libskype.c:152:
    skype_events.c:24:12: aviso: falta el carácter de terminación ‘ [activado por defecto]
    In file included from skype_messaging.c:56:0,
    from libskype.c:152:
    skype_messaging_dbus.c:24:12: aviso: falta el carácter de terminación ‘ [activado por defecto]
    In file included from libskype.c:152:0:
    skype_messaging.c: En la función ‘skype_send_message_nowait’:
    skype_messaging.c:166:3: aviso: ‘g_thread_create’ es obsoleto (declarado en /usr/include/glib-2.0/glib/deprecated/gthread.h:100): Use ‘g_thread_new’ instead [-Wdeprecated-declarations]
    skype_messaging.c: En la función ‘skype_send_message’:
    skype_messaging.c:196:3: aviso: ‘g_cond_new’ es obsoleto (declarado en /usr/include/glib-2.0/glib/deprecated/gthread.h:275) [-Wdeprecated-declarations]
    skype_messaging.c:235:3: aviso: ‘g_cond_timed_wait’ es obsoleto (declarado en /usr/include/glib-2.0/glib/deprecated/gthread.h:279) [-Wdeprecated-declarations]
    libskype.c: En el nivel principal:
    libskype.c:822:1: aviso: se define ‘skype_open_skype_options’ pero no se usa [-Wunused-function]
    libskype.c:2679:1: aviso: se define ‘skype_check_missedvoicemails’ pero no se usa [-Wunused-function]
    aru@acer:~/skype4empathy$ sudo cp libskype64.so /usr/lib/purple-2/
    aru@acer:~/skype4empathy$ sudo cp libskype_dbus64.so /usr/lib/purple-2/
    aru@acer:~/skype4empathy$

  4. 4 adrian enero 13, 2013 en 7:41 pm

    Parece que con ubuntu 12.10 esto ya no funciona.
    Al intentar agregar una cuenta e Empathy te abre el menú de “Cuentas en línea” de la configuración del sistema :/


  1. 1 Skype en Empathy | Ayuda Linux Trackback en octubre 8, 2012 en 11:39 pm

Deja un comentario

Introduce tus datos o haz clic en un icono para iniciar sesión:

Logo de WordPress.com

Estás comentando usando tu cuenta de WordPress.com. Cerrar sesión / Cambiar )

Imagen de Twitter

Estás comentando usando tu cuenta de Twitter. Cerrar sesión / Cambiar )

Foto de Facebook

Estás comentando usando tu cuenta de Facebook. Cerrar sesión / Cambiar )

Google+ photo

Estás comentando usando tu cuenta de Google+. Cerrar sesión / Cambiar )

Conectando a %s





The next version of Ubuntu is coming soon


¿Es compatible tu equipo con Ubuntu?


( Muchos fondos de pantalla, aqui )

DESCARGATE SCIFI LIFE

365 Dias de Soledad
Me debes los sueños, las promesas y las noches rotas. Me debes la paz, la sonrisa y la esperanza robadas. Me debes la sangre, las lágrimas y el sudor vertido. Me debes las noches vacías, los abrazos anhelados. Me debes un beso de ajenjo de tu amarga boca.

The Ubuntu Counter Project - user number # 11961
Geo Visitors Map
octubre 2012
L M X J V S D
« sep   nov »
1234567
891011121314
15161718192021
22232425262728
293031  

Blog Stats

  • 26,943,771 hits

Seguir

Recibe cada nueva publicación en tu buzón de correo electrónico.

Únete a otros 1.045 seguidores

A %d blogueros les gusta esto: